<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="8" lg="5">
      <typeCreate :fid="LID" :typeID="valID" :setIndexEdit="editIndex" />
      <!-- :setDefaultItem="defaultedItem" -->
      <typeList :itemList="itemList" />
    </v-col>
  </v-row>
</template>
<script>
// const axios = require('axios')
import typeCreate from '@/components/iexpenses/type/typeCreate'
import typeList from '@/components/iexpenses/type/typeList'
// import firebase, { firestore } from 'firebase/app'
// import { db } from '@/services/firebase'

import { mapGetters, mapActions } from 'vuex'

import Swal from 'sweetalert2'

export default {
  components: {
    typeCreate,
    typeList,
  },
  data: () => ({
    valID: '',
    editIndex: -1,
    defaultItem: {
      id: null,
      name: '',
      detail: '',
      auth: '',
    },
  }),
  computed: {
    ...mapGetters({
      costType: 'getExpensesType',
      lastID: 'getTypeID',
    }),
    LID() {
      return this.lastID
    },
    itemList() {
      return this.costType
    },
  },
  mounted() {
    // this.costType = this.$nuxt.$store.state.typeAll.typeAll
    // console.log("costType", this.$nuxt.$store.state)
    this.callTypeAll()
    this.findID()
  },
  methods: {
    ...mapActions({
      callTypeAll: 'callTypeAll',
      findID: 'findID',
    }),

    searchData() {},
    // handdleAddData() {
    //   Object.assign(this.expand, this.editedItem)

    //   const res = db
    //     .collection('costType')
    //     .add(this.editedItem)
    //     .then(() => {
    //       console.log('Success')
    //       this.costType.push(this.editedItem)
    //       this.editedItem = Object.assign({}, this.defaultItem)
    //     })
    //     .catch((err) => {
    //       console.log(err)
    //     })
    // },
  },
}
</script>
<style scoped>
.v-icon {
  cursor: pointer;
}
</style>
